---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma10t003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2040, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50800, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52740, symBinAddr: 0x9120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52B30, symBinAddr: 0x9510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53AD0, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53AE0, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50470, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50474, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50478, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x505D0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50688, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5068C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50690, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50694, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50698, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x506A0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x506B0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x506B8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x506C0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x506C8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x506D0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x506D8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50720, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x50760, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL21MethodExitEventsCount, symObjAddr: 0x50768, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9556, offset: 0x9556, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xCE0, symSize: 0x80 }
  - { offsetInCU: 0x95EB, offset: 0x95EB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xC30, symSize: 0xB0 }
  - { offsetInCU: 0x9646, offset: 0x9646, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xB30, symSize: 0x100 }
  - { offsetInCU: 0x98D9, offset: 0x98D9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xD60, symSize: 0xC0 }
  - { offsetInCU: 0x992B, offset: 0x992B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xE20, symSize: 0x220 }
  - { offsetInCU: 0x9B10, offset: 0x9B10, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1040, symSize: 0xA0 }
  - { offsetInCU: 0x9BC3, offset: 0x9BC3, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x10E0, symSize: 0x110 }
  - { offsetInCU: 0x9CB9, offset: 0x9CB9, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x11F0, symSize: 0x150 }
  - { offsetInCU: 0x9E16, offset: 0x9E16, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1340, symSize: 0x30 }
  - { offsetInCU: 0x9F4F, offset: 0x9F4F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1370, symSize: 0x150 }
  - { offsetInCU: 0xA147, offset: 0xA147, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x14C0, symSize: 0x160 }
  - { offsetInCU: 0xA407, offset: 0xA407, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1620, symSize: 0x4A0 }
  - { offsetInCU: 0xA67A, offset: 0xA67A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1AC0, symSize: 0x1B0 }
  - { offsetInCU: 0xA895, offset: 0xA895, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1C70, symSize: 0xA0 }
  - { offsetInCU: 0xA964, offset: 0xA964, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1D10, symSize: 0x20 }
  - { offsetInCU: 0xA99B, offset: 0xA99B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1D30, symSize: 0x20 }
  - { offsetInCU: 0xA9D2, offset: 0xA9D2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1D50, symSize: 0x20 }
  - { offsetInCU: 0xABA5, offset: 0xABA5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1D70, symSize: 0x1A0 }
  - { offsetInCU: 0xAEC1, offset: 0xAEC1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x1F10, symSize: 0x130 }
  - { offsetInCU: 0xB071, offset: 0xB071, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x22B0, symSize: 0x1B0 }
  - { offsetInCU: 0xB360, offset: 0xB360, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2460, symSize: 0x80 }
  - { offsetInCU: 0xB429, offset: 0xB429, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x24E0, symSize: 0x6A0 }
  - { offsetInCU: 0xBFBE, offset: 0xBFBE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA480, symBinAddr: 0x3FF0, symSize: 0xB0 }
  - { offsetInCU: 0xC035, offset: 0xC035, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2B80, symSize: 0x70 }
  - { offsetInCU: 0xC129, offset: 0xC129, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2BF0, symSize: 0xA0 }
  - { offsetInCU: 0xC234, offset: 0xC234, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x52A0, symBinAddr: 0x2C90, symSize: 0x1F0 }
  - { offsetInCU: 0xC481, offset: 0xC481, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5490, symBinAddr: 0x2E80, symSize: 0x310 }
  - { offsetInCU: 0xC91D, offset: 0xC91D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3190, symSize: 0x40 }
  - { offsetInCU: 0xCA13, offset: 0xCA13, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x31D0, symSize: 0x2B0 }
  - { offsetInCU: 0xCDB9, offset: 0xCDB9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3480, symSize: 0xC0 }
  - { offsetInCU: 0xCEFF, offset: 0xCEFF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3540, symSize: 0x10 }
  - { offsetInCU: 0xCFC1, offset: 0xCFC1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3550, symSize: 0x220 }
  - { offsetInCU: 0xD2BE, offset: 0xD2BE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3770, symSize: 0x10 }
  - { offsetInCU: 0xD31B, offset: 0xD31B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3780, symSize: 0x280 }
  - { offsetInCU: 0xD60D, offset: 0xD60D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x3A00, symSize: 0x10 }
  - { offsetInCU: 0xD6C9, offset: 0xD6C9, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EA0, symBinAddr: 0x3A10, symSize: 0x4D0 }
  - { offsetInCU: 0xDC92, offset: 0xDC92, size: 0x8, addend: 0x0, symName: __ZL10MethodExitP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh6jvalue, symObjAddr: 0xA370, symBinAddr: 0x3EE0, symSize: 0x110 }
  - { offsetInCU: 0xDE61, offset: 0xDE61, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA530, symBinAddr: 0x40A0, symSize: 0x36A }
...
